
/****** Object:  StoredProcedure [dbo].[ins_seg_perfil]    Script Date: 10/12/2011 15:06:22 ******/
IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[ins_seg_perfil]') AND type in (N'P', N'PC'))
DROP PROCEDURE [dbo].[ins_seg_perfil]
GO
CREATE PROCEDURE [dbo].[ins_seg_perfil]
	@p_uid varchar(500),
		@p_eid varchar(50),
		@p_id_usuario_modifico int,
		@p_id_usuario_creo int,
		@p_perfil varchar(300),
		@p_perfil_codigo varchar(100),
		@p_descripcion varchar(300),
		@p_mostrarBotones bit,
		@p_paraCliente bit,
		@p_paraProveedor bit
AS
BEGIN
	DECLARE @v_id int
		INSERT INTO [seg_perfil]
			([uid],
			[eid],
			[id_usuario_modifico],
			[id_usuario_creo],
			[fechaModificacion],
			[fechaCreacion],
			[perfil],
			[perfil_codigo],
			[descripcion],
			[mostrarBotones],
			[paraCliente],
			[paraProveedor])
		VALUES(	@p_uid,
			@p_eid,
			@p_id_usuario_modifico,
			@p_id_usuario_creo,
			GETDATE(),
			GETDATE(),
			@p_perfil,
			@p_perfil_codigo,
			@p_descripcion,
			@p_mostrarBotones,
			@p_paraCliente,
		    @p_paraProveedor)
		SET @v_id = scope_identity()
UPDATE [seg_perfil] set [uid] = [uid] + '_' + convert(varchar(20),@v_id) where [id]=@v_id
SELECT @v_id as id
RETURN @v_id
END
